#include<stdio.h>
#include<math.h>
unsigned long long max=0; unsigned long long x=0;
void Perm(unsigned long long poz, unsigned long long a[], unsigned long long perm[], bool k[]){
	if(poz==3){
		x=perm[0];
		for(unsigned long long i=1;i<3;i++){
			int des=10;
			while(perm[i]>=des)des*=10;
			x=x*des+perm[i];
		}
		if(x>max)max=x;
	}
	else for(unsigned long long i=0;i<3;i++) if(!k[i]){
		perm[poz]=a[i];
		k[i]=true;
		Perm(poz+1,a,perm,k);
		k[i]=false;
	} 
}
main(){
	unsigned long long n, x, a[20], perm[20]; bool k[20];
	for(int i=0;i<3;i++)scanf("%llu", &a[i]);
	Perm(0,a,perm,k);
	printf("%llu", max);
}